<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'TypeAdresse' => '\\StructType\\TypeAdresse',
            'TypeAdresseSansPays' => '\\StructType\\TypeAdresseSansPays',
            'TypeCotitulaire' => '\\StructType\\TypeCotitulaire',
            'PersonneMorale' => '\\StructType\\PersonneMorale',
            'PersonnePhysique' => '\\StructType\\PersonnePhysique',
            'Expedition' => '\\StructType\\Expedition',
            'VehiculeCaracteristiquesNationale' => '\\StructType\\VehiculeCaracteristiquesNationale',
            'TypeVN' => '\\StructType\\TypeVN',
            'Communautaire' => '\\StructType\\Communautaire',
            'Mentions' => '\\StructType\\Mentions',
            'Mention' => '\\StructType\\Mention',
            'TypeVM' => '\\StructType\\TypeVM',
            'TypeVBD' => '\\StructType\\TypeVBD',
            'TypeCarrossier' => '\\StructType\\TypeCarrossier',
            'TypeVI' => '\\StructType\\TypeVI',
            'TypeInfoVehicule' => '\\StructType\\TypeInfoVehicule',
            'InfoImmat' => '\\StructType\\InfoImmat',
            'Reponse' => '\\StructType\\Reponse',
            'Negative' => '\\StructType\\Negative',
            'InfoVIN' => '\\StructType\\InfoVIN',
            'TypeDIVN' => '\\StructType\\TypeDIVN',
            'Acquereur' => '\\StructType\\Acquereur',
            'Cotitulaires' => '\\StructType\\Cotitulaires',
            'Positive' => '\\StructType\\Positive',
            'TypeVNWW' => '\\StructType\\TypeVNWW',
            'TypeVOWW' => '\\StructType\\TypeVOWW',
            'TypePIVO' => '\\StructType\\TypePIVO',
            'TypePIVOL' => '\\StructType\\TypePIVOL',
            'Locataire' => '\\StructType\\Locataire',
            'Loueur' => '\\StructType\\Loueur',
            'TypeMCT' => '\\StructType\\TypeMCT',
            'Titulaire' => '\\StructType\\Titulaire',
            'TypeMBD' => '\\StructType\\TypeMBD',
            'TypeDIVLN' => '\\StructType\\TypeDIVLN',
            'TypeCTVLO' => '\\StructType\\TypeCTVLO',
            'Vehicule' => '\\StructType\\Vehicule',
            'ExonerationPickUp' => '\\StructType\\ExonerationPickUp',
            'TypeCTLLD' => '\\StructType\\TypeCTLLD',
            'TypeCTVO' => '\\StructType\\TypeCTVO',
            'ModifTechnique' => '\\StructType\\ModifTechnique',
            'TypeDA' => '\\StructType\\TypeDA',
            'TypeDC' => '\\StructType\\TypeDC',
            'TypeDSV' => '\\StructType\\TypeDSV',
            'TypeCSAD' => '\\StructType\\TypeCSAD',
            'TypeFIV' => '\\StructType\\TypeFIV',
            'TypeDUP' => '\\StructType\\TypeDUP',
            'TypeDUPVL' => '\\StructType\\TypeDUPVL',
            'TypeDAD' => '\\StructType\\TypeDAD',
            'TypeDCD' => '\\StructType\\TypeDCD',
            'TypeDID' => '\\StructType\\TypeDID',
            'TypeECG' => '\\StructType\\TypeECG',
            'TypeECGAUTO' => '\\StructType\\TypeECGAUTO',
            'TypeFUD' => '\\StructType\\TypeFUD',
            'TypeDCAL' => '\\StructType\\TypeDCAL',
            'TypeDCA' => '\\StructType\\TypeDCA',
            'TypeFNI' => '\\StructType\\TypeFNI',
            'TypeDemarche' => '\\StructType\\TypeDemarche',
            'TypeDemarcheEdition' => '\\StructType\\TypeDemarcheEdition',
            'TypeDemarcheECG' => '\\StructType\\TypeDemarcheECG',
            'TypeEcgVOI' => '\\StructType\\TypeEcgVOI',
            'TypeEcgVOF' => '\\StructType\\TypeEcgVOF',
            'TypeEcgVN' => '\\StructType\\TypeEcgVN',
            'TypeEcgDuplicata' => '\\StructType\\TypeEcgDuplicata',
            'TypeEcgMCT' => '\\StructType\\TypeEcgMCT',
            'TypeFichiersUpload' => '\\StructType\\TypeFichiersUpload',
            'Fichier' => '\\StructType\\Fichier',
            'TypeFichiersList' => '\\StructType\\TypeFichiersList',
            'TypeFichiersControle' => '\\StructType\\TypeFichiersControle',
            'InfoImmat_Req' => '\\StructType\\InfoImmat_Req',
            'InfoImmat_Rep' => '\\StructType\\InfoImmat_Rep',
            'InfoVIN_Req' => '\\StructType\\InfoVIN_Req',
            'InfoVIN_Rep' => '\\StructType\\InfoVIN_Rep',
            'Editer_Req' => '\\StructType\\Editer_Req',
            'Editer_Rep' => '\\StructType\\Editer_Rep',
            'Chercher_Req' => '\\StructType\\Chercher_Req',
            'Chercher_Rep' => '\\StructType\\Chercher_Rep',
            'Lot' => '\\StructType\\Lot',
            'Ouvrir_Req' => '\\StructType\\Ouvrir_Req',
            'Ouvrir_Rep' => '\\StructType\\Ouvrir_Rep',
            'Sauver_Req' => '\\StructType\\Sauver_Req',
            'Sauver_Rep' => '\\StructType\\Sauver_Rep',
            'Envoyer_Req' => '\\StructType\\Envoyer_Req',
            'Envoyer_Rep' => '\\StructType\\Envoyer_Rep',
            'Importer_Req' => '\\StructType\\Importer_Req',
            'Importer_Rep' => '\\StructType\\Importer_Rep',
            'InfoCoC_Req' => '\\StructType\\InfoCoC_Req',
            'InfoCoC_Rep' => '\\StructType\\InfoCoC_Rep',
            'AssistantImport_Req' => '\\StructType\\AssistantImport_Req',
            'AssistantImport_Rep' => '\\StructType\\AssistantImport_Rep',
            'Archiver_Req' => '\\StructType\\Archiver_Req',
            'Archiver_Rep' => '\\StructType\\Archiver_Rep',
            'RechercherArchive_Req' => '\\StructType\\RechercherArchive_Req',
            'RechercherArchive_Rep' => '\\StructType\\RechercherArchive_Rep',
            'FichierArchive' => '\\StructType\\FichierArchive',
            'LireArchive_Req' => '\\StructType\\LireArchive_Req',
            'LireArchive_Rep' => '\\StructType\\LireArchive_Rep',
            'ControleSIV_Req' => '\\StructType\\ControleSIV_Req',
            'ControleSIV_Rep' => '\\StructType\\ControleSIV_Rep',
            'TypeDNF' => '\\StructType\\TypeDNF',
            'TypeIdentification' => '\\StructType\\TypeIdentification',
        );
    }
}
